Package org.kapott.hbci.dialog

## Class DialogContext

- java.lang.Object
- - org.kapott.hbci.dialog.DialogContext

    public class DialogContext
    extends java.lang.Object

Diese Klasse kapselt die Context-Daten.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DialogContext` `create​(HBCIKernelImpl kernel, HBCIPassportInternal passport)` Erzeugt einen neuen Dialog-Context.
`HBCIDialog` `getDialog()` Liefert den aktuellen Dialog.
`java.lang.String` `getDialogId()` Liefert die aktuelle Dialog-ID.
`RawHBCIDialog` `getDialogInit()` Liefert die Dialog-Initialisierung.
`HBCIKernelImpl` `getKernel()` Liefert den Kernel.
`java.util.Map<java.lang.String,​java.lang.Object>` `getMeta()` Map mit frei definierbaren Meta-Daten.
`int` `getMsgNum()` Liefert die aktuelle Nachrichtennummer.
`HBCIMsgStatus` `getMsgStatus()` Liefert den Message-Status.
`HBCIPassportInternal` `getPassport()` Liefert den Passport.
`boolean` `isAnonymous()` Liefert true, wenn der Dialog anonym ist.
`boolean` `isDialogEnd()` Liefert true, wenn vor dem Repeat ein Dialog-Ende gesendet werden soll.
`boolean` `isRepeat()` Prueft, ob der Dialog erneut ausgefuehrt werden soll.
`void` `setAnonymous​(boolean anonymous)` Speichert, ob der Dialog anonym ist.
`void` `setDialog​(HBCIDialog dialog)` Speichert den aktuellen Dialog.
`void` `setDialogEnd​(boolean end)` Legt fest, ob vor dem Repeat ein Dialog-Ende gesendet werden soll.
`void` `setRepeat​(boolean repeat)` Teilt dem Dialog mit, dass er erneut ausgefuehrt werden soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static DialogContext create​(HBCIKernelImpl kernel,
                                       HBCIPassportInternal passport)

Erzeugt einen neuen Dialog-Context.

Parameters:
  `kernel` - der Kernel.
  `passport` - der Passport.
Returns:
  der neue Context.

#### getKernel

    public HBCIKernelImpl getKernel()

Liefert den Kernel.

Returns:
  der Kernel. Kann NULL sein.

#### getDialogInit

    public RawHBCIDialog getDialogInit()

Liefert die Dialog-Initialisierung.

Returns:
  die Dialog-Initialisierung.

#### getMsgStatus

    public HBCIMsgStatus getMsgStatus()

Liefert den Message-Status.

Returns:
  der Message-Status. Kann NULL sein.

#### getDialog

    public HBCIDialog getDialog()

Liefert den aktuellen Dialog.

Returns:
  der aktuelle Dialog. Kann NULL sein.

#### setDialog

    public void setDialog​(HBCIDialog dialog)

Speichert den aktuellen Dialog.

Parameters:
  `dialog` - der aktuelle Dialog.

#### getPassport

    public HBCIPassportInternal getPassport()

Liefert den Passport.

Returns:
  der Passport.

#### isAnonymous

    public boolean isAnonymous()

Liefert true, wenn der Dialog anonym ist.

Returns:
  true, wenn der Dialog anonym ist.

#### setAnonymous

    public void setAnonymous​(boolean anonymous)

Speichert, ob der Dialog anonym ist.

Parameters:
  `anonymous` - true, wenn der Dialog anonym ist.

#### getMeta

    public java.util.Map<java.lang.String,​java.lang.Object> getMeta()

Map mit frei definierbaren Meta-Daten.

Returns:
  meta frei definierbare Meta-Daten.

#### getDialogId

    public java.lang.String getDialogId()

Liefert die aktuelle Dialog-ID.

Returns:
  die aktuelle Dialog-ID.

#### getMsgNum

    public int getMsgNum()

Liefert die aktuelle Nachrichtennummer.

Returns:
  die aktuelle Nachrichtennummer.

#### setDialogEnd

    public void setDialogEnd​(boolean end)

Legt fest, ob vor dem Repeat ein Dialog-Ende gesendet werden soll.

Parameters:
  `end` - true, wenn vor dem Repeat ein Dialog-Ende gesendet werden soll.

#### isDialogEnd

    public boolean isDialogEnd()

Liefert true, wenn vor dem Repeat ein Dialog-Ende gesendet werden soll.

Returns:
  true, wenn vor dem Repeat ein Dialog-Ende gesendet werden soll.

#### setRepeat

    public void setRepeat​(boolean repeat)

Teilt dem Dialog mit, dass er erneut ausgefuehrt werden soll.

Parameters:
  `repeat` - true, wenn der Dialog wiederholt werden soll.

#### isRepeat

    public boolean isRepeat()

Prueft, ob der Dialog erneut ausgefuehrt werden soll.

Returns:
  true, wenn der Dialog erneut ausgefuehrt werden soll.